#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    int n, k;
    cin>>n>>k;
    int pogodjeni[n];
    int zameniti[n];
    for (int i=0; i<n; i++)
    {
        cin>>pogodjeni[i];
        zameniti[i] = n+1;
    }
    sort(pogodjeni, pogodjeni+n);
    int c=1;
    int z=0;
    for (int i=0; i<n-1; i++)
    {
        int trenutni = pogodjeni[i];
        int sledeci = pogodjeni[i+1];
        if (c>=k)
        {
            zameniti[z] = trenutni;
            z++;
            c = -n;
        }
        if (trenutni==sledeci)
        {
            c++;
        }
        else
        {
            c=1;
        }
    }
    cout<<z<<endl;
    if (z>0)
    {
        for (int i=0; i<n; i++)
        {
            int temp = zameniti[i];
            if (temp == n+1)
            {
                break;
            }

            cout<<temp<<" ";
        }
    }
    return 0;
}